%define _enable_debug_packages	%{nil}
%define debug_package		%{nil}

%define lib_api		0
%define lib_major	0
%define lib_name        %mklibname %{name} %{lib_api} %{lib_major}
%define lib_name_devel  %mklibname %{name} -d

Name:		suil
Version:	0.6.12
Release:	%mkrel 3
Summary:	Lightweight C library for loading and wrapping LV2 plugin UIs
Source:		http://download.drobilla.net/%{name}-%{version}.tar.bz2
URL:		http://drobilla.net/software/%{name}/
License:	ISC License (ISC)
Group:		System/Libraries
Patch0:		suil-0.6.12-linking.patch
BuildRequires:	waf
BuildRequires:	pkgconfig
BuildRequires:	serd-devel
BuildRequires:	lv2-devel
BuildRequires:	gtk2-devel
BuildRequires:	qt4-devel
BuildRequires:	pkgconfig(sratom-0)

%description
Suil is a lightweight C library for loading and wrapping LV2 plugin UIs.

Suil makes it possible to load a UI of any toolkit in a host using any
other toolkit (assuming the toolkits are both supported by Suil).
Hosts do not need to build against or link to foreign toolkit libraries
to use UIs written with that toolkit (Suil performs its magic at
run-time using dynamically loaded modules). The API is designed such that
hosts do not need to explicitly support particular toolkits whatsoever.
If Suil supports a particular toolkit, then all hosts that use Suil will
support that toolkit.

#-----------------------------------
%package -n %{lib_name}

Summary:	Lightweight RDF syntax library
Group:		System/Libraries
Obsoletes:	%{_lib}suil0 < 0.6.12-2

%description -n %{lib_name}
Suil is a lightweight C library for loading and wrapping LV2 plugin UIs.

Suil makes it possible to load a UI of any toolkit in a host using any
other toolkit (assuming the toolkits are both supported by Suil).
Hosts do not need to build against or link to foreign toolkit libraries
to use UIs written with that toolkit (Suil performs its magic at
run-time using dynamically loaded modules). The API is designed such that
hosts do not need to explicitly support particular toolkits whatsoever.
If Suil supports a particular toolkit, then all hosts that use Suil will
support that toolkit.

%files -n %{lib_name}
%doc COPYING README
%{_libdir}/lib%{name}-%{lib_api}.so.%{lib_major}
%{_libdir}/lib%{name}-%{lib_api}.so.%{lib_major}.*

#-----------------------------------
%package -n %{lib_name_devel}
Summary:	Headers for the sord RDF storage library
Group:		System/Libraries
Requires:	%{lib_name} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{lib_name_devel}
Development files needed to build applications against suil.

%files -n %{lib_name_devel}
%{_libdir}/lib%{name}-%{lib_api}.so
%dir %{_includedir}/%{name}-%{lib_api}/%{name}
%{_includedir}/%{name}-%{lib_api}/%{name}/*.h
%{_libdir}/pkgconfig/%{name}-%{lib_api}.pc

#-----------------------------------
%package -n %{_lib}%{name}-qt4-in-gtk2
Summary:	Shared object for GTK2 hosts displaying Qt4 LV2 GUIs
Group:		System/Libraries
Requires:	%{lib_name} = %{version}-%{release}
Provides:	%{name}-qt4-in-gtk2 = %{version}-%{release}

%description -n %{_lib}%{name}-qt4-in-gtk2
Shared object for GTK2 hosts displaying Qt4 LV2 GUIs

%files -n %{_lib}%{name}-qt4-in-gtk2
%{_libdir}/%{name}-%{lib_major}/lib%{name}_qt4_in_gtk2.so

#-----------------------------------
%package -n %{_lib}%{name}-gtk2-in-qt4
Summary:	Shared object for Qt4 hosts displaying GTK2 LV2 GUIs
Group:		System/Libraries
Requires:	gtk2
Requires:	%{lib_name} = %{version}-%{release}
Provides:	%{name}-gtk2-in-qt4 = %{version}-%{release}

%description -n %{_lib}%{name}-gtk2-in-qt4
Shared object for Qt4 hosts displaying GTK2 LV2 GUIs

%files -n %{_lib}%{name}-gtk2-in-qt4
%{_libdir}/%{name}-%{lib_major}/lib%{name}_gtk2_in_qt4.so

#-----------------------------------
%package -n %{_lib}%{name}-x11-in-gtk2
Summary:	Shared object for GTK2 hosts displaying X11 LV2 GUIs
Group:		System/Libraries
Requires:	%{lib_name} = %{version}-%{release}
Provides:	%{name}-x11-in-gtk2 = %{version}-%{release}

%description -n %{_lib}%{name}-x11-in-gtk2
Shared object for GTK2 hosts displaying X11 LV2 GUIs

%files -n %{_lib}%{name}-x11-in-gtk2
%{_libdir}/%{name}-0/libsuil_x11_in_gtk2.so

#-----------------------------------
%package -n %{_lib}%{name}-x11-in-qt4
Summary:	Shared object for Qt4 hosts displaying X11 LV2 GUIs
Group:		System/Libraries
Requires:	%{lib_name} = %{version}-%{release}
Provides:	%{name}-x11-in-qt4 = %{version}-%{release}

%description -n %{_lib}%{name}-x11-in-qt4
Shared object for Qt4 hosts displaying X11 LV2 GUIs

%files -n %{_lib}%{name}-x11-in-qt4
%{_libdir}/%{name}-0/libsuil_x11_in_qt4.so

#-----------------------------------
%prep
%setup -q
%apply_patches

%build
%setup_compile_flags
./waf configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--lv2dir=%{_libdir}/lv2
./waf -v

%install
./waf install --destdir=%{buildroot}


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.6.12-3.mga4
+ Revision: 529874
- Mageia 4 Mass Rebuild

* Sat Jul 13 2013 wally <wally> 0.6.12-2.mga4
+ Revision: 453858
- fix lib pkg name
- use our build time flags
- add patch to fix linking
- drop unneeded requires from devel pkg

* Sat Jul 13 2013 philippedidier <philippedidier> 0.6.12-1.mga4
+ Revision: 453788
- new version 0.6.12

* Mon Jan 14 2013 umeabot <umeabot> 0.6.6-2.mga3
+ Revision: 383728
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 24 2012 barjac <barjac> 0.6.6-1.mga3
+ Revision: 321639
- new version
- changed BRs lv2core-devel and lv2-ui replaced by lv2-devel
- two new sub-libs
- minor spec clean
- thanks to Philippe Didier bug #7841

* Mon Sep 26 2011 fwang <fwang> 0.4.4-2.mga2
+ Revision: 147935
- qtgui is already pushed through file deps

* Wed Sep 07 2011 tv <tv> 0.4.4-1.mga2
+ Revision: 139994
- imported package suil


* Sun Jun 26 2011 Frank Kober <emuse@mandriva.org> 0.4.4-1mdv2011.0
+ Revision: 687319
- add lv2config command prior to build
- imported package suil

